ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.Tc.Instance.Typeable

Synopsis

- mkTypeableBinds :: TcM TcGblEnv
- tyConIsTypeable :: TyCon -> Bool

# Documentation

mkTypeableBinds :: TcM TcGblEnv Source #

Generate the Typeable bindings for a module. This is the only entry-point of this module and is invoked by the typechecker driver in `tcRnSrcDecls`.

See Note [Grand plan for Typeable] in GHC.Tc.Instance.Typeable.

tyConIsTypeable :: TyCon -> Bool Source #

Is a particular `TyCon` representable by `Typeable`?. These exclude type families and polytypes.